Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
xuanhuong1402

nhở giúp về DXF trong ACAD

Các bài được khuyến nghị

anh chị ai biết về mấy cái code table,polyline của DXF trong ACAD giúp em vs ah

1.ELIPSE

 

 

0

SECTION
2
HEADER
9
$ACADVER
1
AC1009
0
ENDSEC
0
SECTION
2
ENTITIES
0
ELLIPSE
8
Huong
10
536
20
431
11
456
21
765
40
0.4
41
0.5
42
1.6
62
3
0
ENDSEC
0
EOF

 

2.POLYLINE

 

 

0
SECTION
2
HEADER
9
$ACADVER
1
AC1009
0
ENDSEC
0
SECTION
2
ENTITIES
0
POLYLINE
8
Huong
10
536
20
431
38
1
39
2
40
2
41
3
62
3
70
1
0
5
0
ENDSEC
0
EOF

 

 

3.RAY

 

 

 

0
SECTION
2
HEADER
9
$ACADVER
1
AC1009
0
ENDSEC
0
SECTION
2
ENTITIES
0
RAY
8
Huong
10
536
20
431
11
276
21
765
62
3
0
ENDSEC
0
EOF

 

 

 

4.TABLE

 

 

 

0
SECTION
2
HEADER
9
$ACADVER
1
AC1009
0
ENDSEC
0
SECTION
2
ENTITIES
0
TABLE
8
Huong
10
536
20
431
11
276
21
765
62
3
90
6
91
4
92
5
0
ENDSEC
0
EOF

0
SECTION
2
HEADER
9
$ACADVER
1
AC1009
0
ENDSEC
0
SECTION
2
ENTITIES
0
ELLIPSE
8
Huong
10
536
20
431
11
456
21
765
40
0.4
41
0.5
42
1.6
62
3
0
ENDSEC
0

 

EOF

 

0
SECTION
2
HEADER
9
$ACADVER
1
AC1009
0
ENDSEC
0
SECTION
2
ENTITIES
0
ELLIPSE
8
Huong
10
536
20
431
11
456
21
765
40
0.4
41
0.5
42
1.6
62
3
0
ENDSEC
0
 
0
SECTION
2
HEADER
9
$ACADVER
1
AC1009
0
ENDSEC
0
SECTION
2
ENTITIES
0
ELLIPSE
8
Huong
10
536
20
431
11
456
21
765
40
0.4
41
0.5
42
1.6
62
3
0
ENDSEC
0
 
0
SECTION
2
HEADER
9
$ACADVER
1
AC1009
0
ENDSEC
0
SECTION
2
ENTITIES
0
ELLIPSE
8
Huong
10
536
20
431
11
456
21
765
40
0.4
41
0.5
42
1.6
62
3
0
ENDSEC
0

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn muốn biết về cái gì? ý nghĩa của các code hay cái gì khác?

Dãy dxf bạn đưa lên dường như từ version cad rất xưa, chắc R12,13 gì đó, bây giờ chẳng còn cad đời đó để thử.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Phần ellipse thiếu (100 . "AcDbEntity")  (100 . "AcDbEllipse")

Phần ray thiếu  (100 . "AcDbEntity") (100 . "AcDbRay")

Phần polyline thiếu (100 . "AcDbEntity") (100 . "AcDb2dPolyline") (66 . 1) và các (0 . "VERTEX") , cuối cùng (0 . "SEQEND")

 

Riêng phần table thì tôi không hiểu cái (0 . "TABLE") là của đời cad nào chứ bây giờ chỉ có 

(0 . "ACAD_TABLE") thôi.

 

Bạn làm gì mà đi ngược từ dxf qua dwg vậy?

 

(entmake '((0 . "ELLIPSE")
  (100 . "AcDbEntity") (100 . "AcDbEllipse");;
  (10 536 431 0.0) (11 456 765 0.0) (8 . "huong") (62 . 3)
  (40 . 0.4) (41 . 0.5) (42 . 1.6)))
  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×